- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Enumerations | Functions | Variables
ecore_audio_obj_in_tone.h File Reference

Ecore_Audio tone input. More...

## Macros
#define | EAPI
#define | ECORE_AUDIO_ATTR_TONE_FREQ "ecore_audio_freq"
| The frequency of the tone in Hz. More...
#define | ECORE_AUDIO_OBJ_IN_TONE_CLASS ecore_audio_obj_in_tone_class_get()
| Ecore_Audio tone input.
#define | ECORE_AUDIO_OBJ_IN_TONE_ID(sub_id) (ECORE_AUDIO_OBJ_IN_TONE_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_In_Tone_Sub_Ids, sub_id)

## Enumerations
enum | Ecore_Audio_Obj_In_Tone_Sub_Ids { ECORE_AUDIO_OBJ_IN_TONE_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_in_tone_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_IN_TONE_BASE_ID

## Detailed Description

Ecore_Audio tone input.